Персональный сайт Александра Тауениса » wordpress 4.3

wordpress 4.3

Обновляем WP-United для работы в WP 4.3+

После обновления сайтов до WordPress 4.3, где установлен плагин WP-United версии 0.9.2.8 на каждой странице появляется следующее предупреждение:

Notice: Вызванный метод конструктора класса WP_Widget считается устаревшим с версии 4.3.0! Используйте __construct(). in /var/www/wp-includes/functions.php on line 3457
(и так 10 раз).

Причиной этого является изменение вызова конструктора виджетов со старого метода $this->WP_Widget(…) на новый, более правильный с точки зрения читаемости вызов parent::__construct(…). Аргументы у новой функции такие же, как и у старой.

Плагин WP-United давно не обновляется, несмотря на популярность и отсутствие достойных аналогов. Чтобы он заработал под свежим WP, нужно заменить все вхождения вызова $this->WP_Widget(…) на parent::__construct(…) при помощи функции «Заменить» в любом текстовом редакторе. В версии 0.9.2.8 они есть в двух файлах:

\wp-content\plugins\wp-united\widgets.php, строки 29, 118, 180, 232, 282, 369, 486, 565, 625.
\wp-content\plugins\wp-united\extras\quickpoll\widget.php, строка 31.

После внесения изменений, плагин полностью возвращает работоспособность. Будем надеяться, что в ближайшее время разработчики WP-United продолжат разработку и выпустят официальное обновление для WP 4.3. А пока придётся ковырять руками.

3 октября 2017.
Лучше поздно, чем никогда.
Автор плагина внёс в git поправки, описанные на данной странице (https://github.com/jfwells/wp-united/pull/2).
Так что есть надежда, что вскоре выйдет исправленная версия.